add_library(main "src/main.c")
target_include_directories(main PUBLIC "inc")
target_link_libraries(main PRIVATE menu system)

if(ESP32_BUILD)
    target_sources(${PROJECT_NAME} PRIVATE "esp32/src/main.c")
else()
    target_sources(${PROJECT_NAME} PRIVATE "std/src/main.c")
endif()
